import request from '@/utils/request'

// 供应商表列表
export function apiSupplierLists(params: any) {
    return request.get({ url: '/supplier/supplier/lists', params })
}

// 添加供应商表
export function apiSupplierAdd(params: any) {
    return request.post({ url: '/supplier/supplier/add', params })
}

// 编辑供应商表
export function apiSupplierEdit(params: any) {
    return request.post({ url: '/supplier/supplier/edit', params })
}

// 删除供应商表
export function apiSupplierDelete(params: any) {
    return request.post({ url: '/supplier/supplier/delete', params })
}

// 供应商表详情
export function apiSupplierDetail(params: any) {
    return request.get({ url: '/supplier/supplier/detail', params })
}

// 供应商申请列表
export function apiSupplierApplyLists(params: any) {
    return request.get({ url: '/supplier/supplier/apply_lists', params })
}

// 供应商申请审核
export function apiSupplierStatus(params: any) {
    return request.post({ url: '/supplier/supplier/status', params })
}

// 供应商已绑定商品列表
export function apiSupplierBindGoods(params: any) {
    return request.get({ url: '/supplier/SupplierBindGoods/lists', params })
}

// 供应商绑定商品
export function apiSupplierBindGoodsAdd(params: any) {
    return request.post({ url: '/supplier/SupplierBindGoods/add', params })
}

// 供应商删除绑定商品
export function apiSupplierBindGoodsDelete(params: any) {
    return request.post({ url: '/supplier/SupplierBindGoods/delete', params })
}